post
https://demo.inhousedelivery.cloud/v1/deliveries
Creates a new delivery order with provided delivery requirements upon customer placing their order. ASAP and scheduled orders are both catered for.
Below is an example payload for creating a new delivery order
{
"order_number": "311224",
"source": "grubhub",
"location_code": "d4663c18-010c-2842-bb5c-2cd4c493f3e3",
"customer_name": "Justin Langer",
"customer_phone": "14357609000",
"pickup_at_ready": "2022-02-25T20:30:00Z",
"delivery_time_utc": "2022-02-25T21:00:00Z",
"provider": "doordash",
"delivery_instruction": "Press buzzer #2 and wait for response",
"order_type": "delivery",
"requires_id": false,
"requires_dropoff_signature": false,
"tax": 200,
"tip": 400,
"total": 3000,
"full_dropoff_address": {
"address_line_1": "184 West Englewood Avenue",
"address_line_2": "",
"city": "Teaneck",
"state": "NJ",
"postal_code": "07666",
"country": "US"
},
"external_id": "del_276403BA7391",
"order_items": [
{
"name": "Spicy Chicken Wings",
"price": 300,
"quantity": 2
}
]
}
| order_number | string | Simplified order number of the order. This value is provided to the drivers and referenced during the pick up location_code string Unique identifier representing the location (store id) used in the Create Location API. |
| source | string | Name of the online ordering / marketplace where the order originated from (e.g. grubhub, doordash, ubereats etc) |
| customer_name | string | Name of the customer |
| customer_phone | string | Phone number of the customer in E.164 format |
| pickup_at_ready | timestamp | Date / time of when the order is ready to be picked up from the location by a driver. This timestamp must be provided in UTC. If "pickup_at_ready" and "delivery_time_utc" fields are not specified then the order is treated as an ASAP order and a driver will be requested immediately. (optional) |
| delivery_time_utc | timestamp | Date / time of when the order must be delivered to the customer. This timestamp must be provided in UTC. This parameter is used for scheduled orders. If "pickup_at_ready" and "delivery_time_utc" fields are not specified then the order is treated as an ASAP order and a driver will be requested immediately. (optional) |
| provider | string | Specifies the preferred DSP to be used for this delivery order. If not specified, IHD will determine the best available DSP for this delivery. (optional) |
| delivery_instruction | string | Delivery instruction provided by the customer. Maximum allowed characters is 255. |
| order_type | string | "delivery" or "pickup". Pickup orders will be ignored |
| requires_id | boolean | Whether the driver needs to perform an ID check before handing over the order to the customer. (used for orders with age requirements such as alcohol) |
| requires_dropoff_signature | boolean | Whether a customer signature is necessary as a proof of delivery. |
| tax | integer | Amount of tax included (in cents) |
| tip | integer | Tip specified by the customer (in cents) |
| total | integer | Grand total amount for the order (in cents) |
| full_dropoff_address | object | Customer address details external_id string Id of the order in the 3rd party solution for tagging purposes. Used for retrieving order details using the 3rd party order reference. This value is not exposed to the drivers. (optional) |
| order_items | object | Represents the order line items including name (string) of the order item, price (integer) in cents, quantity (integer). This information is passed onto the driver to help pickup the correct order and to ensure the order contains the correct number of items. |
